/*
  Copyright 2010-2018 Grégory Soutadé

  This file is part of KissCount.

  KissCount is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  KissCount is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with KissCount.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TRANSFERTDIALOG_H
#define TRANSFERTDIALOG_H

#include <QDialog>
#include <QComboBox>
#include <QCheckBox>

#include <view/wxUI.hpp>

class TransfertDialog : public QDialog
{
    Q_OBJECT;
    
public: 
    TransfertDialog(KissCount* kiss, User* user, Operation& curOperation,
		    int* selectedAccount, bool* groupOperations);
  
private slots:
    void OnOK();
    void OnCancel();

private:
    KissCount* _kiss;
    wxUI* _wxUI;
    QComboBox* _account;
    std::vector<int> _accounts;
    QCheckBox* _groupOperations;
    QPushButton* _ok;
    int* _outSelectedAccount;
    bool* _outGroupOperations;
};
#endif
